<?php
/**
 * The template to display blog archive
 *
 * @package WordPress
 * @subpackage EXIT_GAME
 * @since EXIT_GAME 1.0
 */

/*
Template Name: Blog archive
*/

/**
 * Make page with this template and put it into menu
 * to display posts as blog archive
 * You can setup output parameters (blog style, posts per page, parent category, etc.)
 * in the Theme Options section (under the page content)
 * You can build this page in the WordPress editor or any Page Builder to make custom page layout:
 * just insert %%CONTENT%% in the desired place of content
 */

// Get template page's content
$exit_game_content = '';
$exit_game_blog_archive_mask = '%%CONTENT%%';
$exit_game_blog_archive_subst = sprintf('<div class="blog_archive">%s</div>', $exit_game_blog_archive_mask);
if ( have_posts() ) {
	the_post();
	if (($exit_game_content = apply_filters('the_content', get_the_content())) != '') {
		if (($exit_game_pos = strpos($exit_game_content, $exit_game_blog_archive_mask)) !== false) {
			$exit_game_content = preg_replace('/(\<p\>\s*)?'.$exit_game_blog_archive_mask.'(\s*\<\/p\>)/i', $exit_game_blog_archive_subst, $exit_game_content);
		} else
			$exit_game_content .= $exit_game_blog_archive_subst;
		$exit_game_content = explode($exit_game_blog_archive_mask, $exit_game_content);
		// Add VC custom styles to the inline CSS
		$vc_custom_css = get_post_meta( get_the_ID(), '_wpb_shortcodes_custom_css', true );
		if ( !empty( $vc_custom_css ) ) exit_game_add_inline_css(strip_tags($vc_custom_css));
	}
}

// Prepare args for a new query
$exit_game_args = array(
	'post_status' => current_user_can('read_private_pages') && current_user_can('read_private_posts') ? array('publish', 'private') : 'publish'
);
$exit_game_args = exit_game_query_add_posts_and_cats($exit_game_args, '', exit_game_get_theme_option('post_type'), exit_game_get_theme_option('parent_cat'));
$exit_game_page_number = get_query_var('paged') ? get_query_var('paged') : (get_query_var('page') ? get_query_var('page') : 1);
if ($exit_game_page_number > 1) {
	$exit_game_args['paged'] = $exit_game_page_number;
	$exit_game_args['ignore_sticky_posts'] = true;
}
$exit_game_ppp = exit_game_get_theme_option('posts_per_page');
if ((int) $exit_game_ppp != 0)
	$exit_game_args['posts_per_page'] = (int) $exit_game_ppp;
// Make a new main query
$GLOBALS['wp_the_query']->query($exit_game_args);


// Add internal query vars in the new query!
if (is_array($exit_game_content) && count($exit_game_content) == 2) {
	set_query_var('blog_archive_start', $exit_game_content[0]);
	set_query_var('blog_archive_end', $exit_game_content[1]);
}

get_template_part('index');
?>