<?php
/**
 * The Classic template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage EXIT_GAME
 * @since EXIT_GAME 1.0
 */

$exit_game_blog_style = explode('_', exit_game_get_theme_option('blog_style'));
$exit_game_columns = empty($exit_game_blog_style[1]) ? 2 : max(2, $exit_game_blog_style[1]);
$exit_game_expanded = !exit_game_sidebar_present() && exit_game_is_on(exit_game_get_theme_option('expand_content'));
$exit_game_post_format = get_post_format();
$exit_game_post_format = empty($exit_game_post_format) ? 'standard' : str_replace('post-format-', '', $exit_game_post_format);
$exit_game_animation = exit_game_get_theme_option('blog_animation');
$exit_game_components = exit_game_array_get_keys_by_value(exit_game_get_theme_option('meta_parts'));
$exit_game_counters = exit_game_array_get_keys_by_value(exit_game_get_theme_option('counters'));

?><div class="<?php echo esc_attr($exit_game_blog_style[0] == 'classic' ? 'column' : 'masonry_item masonry_item'); ?>-1_<?php echo esc_attr($exit_game_columns); ?>"><article id="post-<?php the_ID(); ?>"
	<?php post_class( 'post_item post_format_'.esc_attr($exit_game_post_format)
					. ' post_layout_classic post_layout_classic_'.esc_attr($exit_game_columns)
					. ' post_layout_'.esc_attr($exit_game_blog_style[0]) 
					. ' post_layout_'.esc_attr($exit_game_blog_style[0]).'_'.esc_attr($exit_game_columns)
					); ?>
	<?php echo (!exit_game_is_off($exit_game_animation) ? ' data-animation="'.esc_attr(exit_game_get_animation_classes($exit_game_animation)).'"' : ''); ?>>
	<?php

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	exit_game_show_post_featured( array( 'thumb_size' => exit_game_get_thumb_size($exit_game_blog_style[0] == 'classic'
													? (strpos(exit_game_get_theme_option('body_style'), 'full')!==false 
															? ( $exit_game_columns > 2 ? 'big' : 'huge' )
															: (	$exit_game_columns > 2
																? ($exit_game_expanded ? 'med' : 'small')
																: ($exit_game_expanded ? 'big' : 'med')
																)
														)
													: (strpos(exit_game_get_theme_option('body_style'), 'full')!==false 
															? ( $exit_game_columns > 2 ? 'masonry-big' : 'full' )
															: (	$exit_game_columns <= 2 && $exit_game_expanded ? 'masonry-big' : 'masonry')
														)
								) ) );

	if ( !in_array($exit_game_post_format, array('link', 'aside', 'status', 'quote')) ) {
		?>
		<div class="post_header entry-header">
			<?php 
			do_action('exit_game_action_before_post_title'); 

			// Post title
			the_title( sprintf( '<h4 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h4>' );

			do_action('exit_game_action_before_post_meta'); 

			// Post meta
			if (!empty($exit_game_components))
				exit_game_show_post_meta(apply_filters('exit_game_filter_post_meta_args', array(
					'components' => $exit_game_components,
					'counters' => $exit_game_counters,
					'seo' => false
					), $exit_game_blog_style[0], $exit_game_columns)
				);

			do_action('exit_game_action_after_post_meta'); 
			?>
		</div><!-- .entry-header -->
		<?php
	}		
	?>

	<div class="post_content entry-content">
		<div class="post_content_inner">
			<?php
			$exit_game_show_learn_more = false;
			if (has_excerpt()) {
				the_excerpt();
			} else if (strpos(get_the_content('!--more'), '!--more')!==false) {
				the_content( '' );
			} else if (in_array($exit_game_post_format, array('link', 'aside', 'status'))) {
				the_content();
			} else if ($exit_game_post_format == 'quote') {
				if (($quote = exit_game_get_tag(get_the_content(), '<blockquote>', '</blockquote>'))!='')
					exit_game_show_layout(wpautop($quote));
				else
					the_excerpt();
			} else if (substr(get_the_content(), 0, 1)!='[') {
				the_excerpt();
			}
			?>
		</div>
		<?php
		// Post meta
		if (in_array($exit_game_post_format, array('link', 'aside', 'status', 'quote'))) {
			if (!empty($exit_game_components))
				exit_game_show_post_meta(apply_filters('exit_game_filter_post_meta_args', array(
					'components' => $exit_game_components,
					'counters' => $exit_game_counters
					), $exit_game_blog_style[0], $exit_game_columns)
				);
		}
		// More button
		if ( $exit_game_show_learn_more ) {
			?><p><a class="more-link" href="<?php  the_permalink(); ?>"><?php esc_html_e('Read more', 'exit-game'); ?></a></p><?php
		}
		?>
	</div><!-- .entry-content -->

</article></div>