<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage EXIT_GAME
 * @since EXIT_GAME 1.0
 */

$exit_game_blog_style = explode('_', exit_game_get_theme_option('blog_style'));
$exit_game_columns = empty($exit_game_blog_style[1]) ? 2 : max(2, $exit_game_blog_style[1]);
$exit_game_post_format = get_post_format();
$exit_game_post_format = empty($exit_game_post_format) ? 'standard' : str_replace('post-format-', '', $exit_game_post_format);
$exit_game_animation = exit_game_get_theme_option('blog_animation');

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_portfolio post_layout_portfolio_'.esc_attr($exit_game_columns).' post_format_'.esc_attr($exit_game_post_format).(is_sticky() && !is_paged() ? ' sticky' : '') ); ?>
	<?php echo (!exit_game_is_off($exit_game_animation) ? ' data-animation="'.esc_attr(exit_game_get_animation_classes($exit_game_animation)).'"' : ''); ?>>
	<?php

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	$exit_game_image_hover = exit_game_get_theme_option('image_hover');
	// Featured image
	exit_game_show_post_featured(array(
		'thumb_size' => exit_game_get_thumb_size(strpos(exit_game_get_theme_option('body_style'), 'full')!==false || $exit_game_columns < 3 
								? 'masonry-big' 
								: 'masonry'),
		'show_no_image' => true,
		'class' => $exit_game_image_hover == 'dots' ? 'hover_with_info' : '',
		'post_info' => $exit_game_image_hover == 'dots' ? '<div class="post_info">'.esc_html(get_the_title()).'</div>' : ''
	));
	?>
</article>