<?php
/**
 * The Header: Logo and main menu
 *
 * @package WordPress
 * @subpackage EXIT_GAME
 * @since EXIT_GAME 1.0
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js scheme_<?php
										 // Class scheme_xxx need in the <html> as context for the <body>!
										 echo esc_attr(exit_game_get_theme_option('color_scheme'));
										 ?>">
<head>
	<?php wp_head(); ?>
</head>

<body <?php	body_class(); ?>>
      <?php wp_body_open(); ?>

	<?php do_action( 'exit_game_action_before_body' ); ?>

	<div class="body_wrap">

		<div class="page_wrap"><?php
			
			// Desktop header
			$exit_game_header_type = exit_game_get_theme_option("header_type");
			if ($exit_game_header_type == 'custom' && !exit_game_is_layouts_available())
				$exit_game_header_type = 'default';
			get_template_part( "templates/header-{$exit_game_header_type}");

			// Side menu
			if (in_array(exit_game_get_theme_option('menu_style'), array('left', 'right'))) {
				get_template_part( 'templates/header-navi-side' );
			}
			
			// Mobile menu
			get_template_part( 'templates/header-navi-mobile');
			?>

			<div class="page_content_wrap">

				<?php if (exit_game_get_theme_option('body_style') != 'fullscreen') { ?>
				<div class="content_wrap">
				<?php } ?>

					<?php
					// Widgets area above page content
					exit_game_create_widgets_area('widgets_above_page');
					?>				

					<div class="content">
						<?php
						// Widgets area inside page content
						exit_game_create_widgets_area('widgets_above_content');
						?>				
