<?php
/**
 * The template for homepage posts with "Classic" style
 *
 * @package WordPress
 * @subpackage EXIT_GAME
 * @since EXIT_GAME 1.0
 */

exit_game_storage_set('blog_archive', true);

get_header(); 

if (have_posts()) {

	exit_game_show_layout(get_query_var('blog_archive_start'));

	$exit_game_classes = 'posts_container '
						. (substr(exit_game_get_theme_option('blog_style'), 0, 7) == 'classic' ? 'columns_wrap columns_padding_bottom' : 'masonry_wrap');
	$exit_game_stickies = is_home() ? get_option( 'sticky_posts' ) : false;
	$exit_game_sticky_out = exit_game_get_theme_option('sticky_style')=='columns' 
							&& is_array($exit_game_stickies) && count($exit_game_stickies) > 0 && get_query_var( 'paged' ) < 1;
	if ($exit_game_sticky_out) {
		?><div class="sticky_wrap columns_wrap"><?php	
	}
	if (!$exit_game_sticky_out) {
		if (exit_game_get_theme_option('first_post_large') && !is_paged() && !in_array(exit_game_get_theme_option('body_style'), array('fullwide', 'fullscreen'))) {
			the_post();
			get_template_part( 'content', 'excerpt' );
		}
		
		?><div class="<?php echo esc_attr($exit_game_classes); ?>"><?php
	}
	while ( have_posts() ) { the_post(); 
		if ($exit_game_sticky_out && !is_sticky()) {
			$exit_game_sticky_out = false;
			?></div><div class="<?php echo esc_attr($exit_game_classes); ?>"><?php
		}
		get_template_part( 'content', $exit_game_sticky_out && is_sticky() ? 'sticky' : 'classic' );
	}
	
	?></div><?php

	exit_game_show_pagination();

	exit_game_show_layout(get_query_var('blog_archive_end'));

} else {

	if ( is_search() )
		get_template_part( 'content', 'none-search' );
	else
		get_template_part( 'content', 'none-archive' );

}

get_footer();
?>