<?php
/**
 * The template for homepage posts with "Portfolio" style
 *
 * @package WordPress
 * @subpackage EXIT_GAME
 * @since EXIT_GAME 1.0
 */

exit_game_storage_set('blog_archive', true);

get_header(); 

if (have_posts()) {

	exit_game_show_layout(get_query_var('blog_archive_start'));

	$exit_game_stickies = is_home() ? get_option( 'sticky_posts' ) : false;
	$exit_game_sticky_out = exit_game_get_theme_option('sticky_style')=='columns' 
							&& is_array($exit_game_stickies) && count($exit_game_stickies) > 0 && get_query_var( 'paged' ) < 1;
	
	// Show filters
	$exit_game_cat = exit_game_get_theme_option('parent_cat');
	$exit_game_post_type = exit_game_get_theme_option('post_type');
	$exit_game_taxonomy = exit_game_get_post_type_taxonomy($exit_game_post_type);
	$exit_game_show_filters = exit_game_get_theme_option('show_filters');
	$exit_game_tabs = array();
	if (!exit_game_is_off($exit_game_show_filters)) {
		$exit_game_args = array(
			'type'			=> $exit_game_post_type,
			'child_of'		=> $exit_game_cat,
			'orderby'		=> 'name',
			'order'			=> 'ASC',
			'hide_empty'	=> 1,
			'hierarchical'	=> 0,
			'exclude'		=> '',
			'include'		=> '',
			'number'		=> '',
			'taxonomy'		=> $exit_game_taxonomy,
			'pad_counts'	=> false
		);
		$exit_game_portfolio_list = get_terms($exit_game_args);
		if (is_array($exit_game_portfolio_list) && count($exit_game_portfolio_list) > 0) {
			$exit_game_tabs[$exit_game_cat] = esc_html__('All', 'exit-game');
			foreach ($exit_game_portfolio_list as $exit_game_term) {
				if (isset($exit_game_term->term_id)) $exit_game_tabs[$exit_game_term->term_id] = $exit_game_term->name;
			}
		}
	}
	if (count($exit_game_tabs) > 0) {
		$exit_game_portfolio_filters_ajax = true;
		$exit_game_portfolio_filters_active = $exit_game_cat;
		$exit_game_portfolio_filters_id = 'portfolio_filters';
		?>
		<div class="portfolio_filters exit_game_tabs exit_game_tabs_ajax">
			<ul class="portfolio_titles exit_game_tabs_titles">
				<?php
				foreach ($exit_game_tabs as $exit_game_id=>$exit_game_title) {
					?><li><a href="<?php echo esc_url(exit_game_get_hash_link(sprintf('#%s_%s_content', $exit_game_portfolio_filters_id, $exit_game_id))); ?>" data-tab="<?php echo esc_attr($exit_game_id); ?>"><?php echo esc_html($exit_game_title); ?></a></li><?php
				}
				?>
			</ul>
			<?php
			$exit_game_ppp = exit_game_get_theme_option('posts_per_page');
			if (exit_game_is_inherit($exit_game_ppp)) $exit_game_ppp = '';
			foreach ($exit_game_tabs as $exit_game_id=>$exit_game_title) {
				$exit_game_portfolio_need_content = $exit_game_id==$exit_game_portfolio_filters_active || !$exit_game_portfolio_filters_ajax;
				?>
				<div id="<?php echo esc_attr(sprintf('%s_%s_content', $exit_game_portfolio_filters_id, $exit_game_id)); ?>"
					class="portfolio_content exit_game_tabs_content"
					data-blog-template="<?php echo esc_attr(exit_game_storage_get('blog_template')); ?>"
					data-blog-style="<?php echo esc_attr(exit_game_get_theme_option('blog_style')); ?>"
					data-posts-per-page="<?php echo esc_attr($exit_game_ppp); ?>"
					data-post-type="<?php echo esc_attr($exit_game_post_type); ?>"
					data-taxonomy="<?php echo esc_attr($exit_game_taxonomy); ?>"
					data-cat="<?php echo esc_attr($exit_game_id); ?>"
					data-parent-cat="<?php echo esc_attr($exit_game_cat); ?>"
					data-need-content="<?php echo (false===$exit_game_portfolio_need_content ? 'true' : 'false'); ?>"
				>
					<?php
					if ($exit_game_portfolio_need_content) 
						exit_game_show_portfolio_posts(array(
							'cat' => $exit_game_id,
							'parent_cat' => $exit_game_cat,
							'taxonomy' => $exit_game_taxonomy,
							'post_type' => $exit_game_post_type,
							'page' => 1,
							'sticky' => $exit_game_sticky_out
							)
						);
					?>
				</div>
				<?php
			}
			?>
		</div>
		<?php
	} else {
		exit_game_show_portfolio_posts(array(
			'cat' => $exit_game_cat,
			'parent_cat' => $exit_game_cat,
			'taxonomy' => $exit_game_taxonomy,
			'post_type' => $exit_game_post_type,
			'page' => 1,
			'sticky' => $exit_game_sticky_out
			)
		);
	}

	exit_game_show_layout(get_query_var('blog_archive_end'));

} else {

	if ( is_search() )
		get_template_part( 'content', 'none-search' );
	else
		get_template_part( 'content', 'none-archive' );

}

get_footer();
?>