<?php
// Add plugin-specific colors and fonts to the custom CSS
if (!function_exists('exit_game_booked_get_css')) {
	add_filter('exit_game_filter_get_css', 'exit_game_booked_get_css', 10, 4);
	function exit_game_booked_get_css($css, $colors, $fonts, $scheme='') {
		
		if (isset($css['fonts']) && $fonts) {
			$css['fonts'] .= <<<CSS

.booked-calendar-wrap .booked-appt-list .timeslot .timeslot-people button,
body #booked-profile-page input[type="submit"],
body #booked-profile-page button,
body .booked-list-view input[type="submit"],
body .booked-list-view button,
body table.booked-calendar input[type="submit"],
body table.booked-calendar button,
body .booked-modal input[type="submit"],
body .booked-modal button {
	{$fonts['button_font-family']}
	{$fonts['button_font-size']}
	{$fonts['button_font-weight']}
	{$fonts['button_font-style']}
	{$fonts['button_line-height']}
	{$fonts['button_text-decoration']}
	{$fonts['button_text-transform']}
	{$fonts['button_letter-spacing']}
}

CSS;
		}
		
		if (isset($css['colors']) && $colors) {
			$css['colors'] .= <<<CSS

/* Calendar */
body #booked-profile-page input[type=submit].button-primary:hover,
body .booked-list-view button.button:hover,
body .booked-list-view input[type=submit].button-primary:hover,
body table.booked-calendar input[type=submit].button-primary:hover,
body .booked-modal input[type=submit].button-primary:hover,
body table.booked-calendar .booked-appt-list .timeslot .timeslot-people button:hover,
body #booked-profile-page .appt-block .google-cal-button > a:hover {
	background-color: {$colors['text_hover']}!important;
}
body .booked-modal .booked-form button.cancel{
    background-color: {$colors['text_hover']}!important;
    color: {$colors['text_link']}!important;
}

body .booked-modal .booked-form button.cancel:hover{
    background-color: {$colors['text_link']}!important;
    color: {$colors['text_hover']}!important;
}

body .booked-modal .bm-window .close {
	color: {$colors['alter_dark']};
}
body .booked-modal .bm-window .close:hover {
	color: {$colors['alter_hover']};
}

body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week div.bc-col.today.active span.date,
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week div.bc-col.active span.date {
	background-color: {$colors['alter_bg_hover']}!important;
    color: {$colors['inverse_link']}!important;
}
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week div.bc-col:not(.prev-date):hover span.date {
	background-color: {$colors['alter_bg_hover']}!important;
    color: {$colors['extra_bg_color']}!important;
}

body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week div.bc-col.today.prev-date .date,
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week div.bc-col.today .date {
	background-color: {$colors['extra_bg_color']}!important;
    color: {$colors['inverse_hover']}!important;
}

body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week div.bc-col.today.prev-date .date span,
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week div.bc-col.today .date span {
    color: {$colors['bg_color']}!important;
}
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week div.bc-col.today:hover .date span {
    color: {$colors['extra_bg_color']}!important;
}

body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.entryBlock .bc-col {
	border: 20px solid {$colors['alter_bg_hover']};
}

body div.booked-calendar-wrap .booked-appt-list h2 {
	color: {$colors['text_dark']}!important;
}

body div.booked-calendar-wrap .booked-appt-list .timeslot .timeslot-time, body div.booked-calendar-wrap .booked-appt-list .timeslot .timeslot-people {
	color: {$colors['text_dark']};
}

body div.booked-calendar-wrap .booked-appt-list .timeslot .spots-available {
	color: {$colors['text']};
}

body .booked-modal .bm-window p.booked-title-bar {
	background-color: {$colors['text_link']}!important;
}

body div.booked-calendar-wrap div.booked-calendar .bc-body {
    border: 1px solid  {$colors['bd_color']};
    margin-top: -1px;
}

body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week div.bc-col {
	border-color: {$colors['bd_color']};
}

CSS;
		}

		return $css;
	}
}
?>