<?php
/* QuickCal support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('exit_game_quickcal_theme_setup9')) {
	add_action( 'after_setup_theme', 'exit_game_quickcal_theme_setup9', 9 );
	function exit_game_quickcal_theme_setup9() {
		add_filter( 'exit_game_filter_merge_styles', 						'exit_game_quickcal_merge_styles' );
		if (is_admin()) {
			add_filter( 'exit_game_filter_tgmpa_required_plugins',		'exit_game_quickcal_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'exit_game_quickcal_tgmpa_required_plugins' ) ) {
	
	function exit_game_quickcal_tgmpa_required_plugins($list=array()) {
		if ( false && exit_game_storage_isset('required_plugins', 'quickcal')) {
			$path = exit_game_get_file_dir('plugins/quickcal/quickcal.zip');
			if (!empty($path) || exit_game_get_theme_setting('tgmpa_upload')) {
				$list[] = array(
					'name' 		=> exit_game_storage_get_array('required_plugins', 'quickcal'),
					'slug' 		=> 'quickcal',
					'version'   => '1.0.6',
					'source' 	=> !empty($path) ? $path : 'upload://quickcal.zip',
					'required' 	=> false
				);
			}
		}
		return $list;
	}
}

// Check if plugin installed and activated
if ( !function_exists( 'exit_game_exists_quickcal' ) ) {
	function exit_game_exists_quickcal() {
		return class_exists('quickcal_plugin');
	}
}
	
// Merge custom styles
if ( !function_exists( 'exit_game_quickcal_merge_styles' ) ) {
	
	function exit_game_quickcal_merge_styles($list) {
		if (exit_game_exists_quickcal()) {
			$list[] = 'plugins/quickcal/_quickcal.scss';
		}
		return $list;
	}
}


// Add plugin-specific colors and fonts to the custom CSS
if (exit_game_exists_quickcal()) { require_once EXIT_GAME_THEME_DIR . 'plugins/quickcal/quickcal-styles.php'; }
?>