<?php
/* Revolution Slider support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('exit_game_revslider_theme_setup9')) {
	add_action( 'after_setup_theme', 'exit_game_revslider_theme_setup9', 9 );
	function exit_game_revslider_theme_setup9() {

		add_filter( 'exit_game_filter_merge_styles',				'exit_game_revslider_merge_styles' );
		
		if (is_admin()) {
			add_filter( 'exit_game_filter_tgmpa_required_plugins','exit_game_revslider_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'exit_game_revslider_tgmpa_required_plugins' ) ) {
	
	function exit_game_revslider_tgmpa_required_plugins($list=array()) {
		if (exit_game_storage_isset('required_plugins', 'revslider')) {
			$path = exit_game_get_file_dir('plugins/revslider/revslider.zip');
			if (!empty($path) || exit_game_get_theme_setting('tgmpa_upload')) {
				$list[] = array(
					'name' 		=> exit_game_storage_get_array('required_plugins', 'revslider'),
					'slug' 		=> 'revslider',
					'version'	=> '6.6.16',
					'source'	=> !empty($path) ? $path : 'upload://revslider.zip',
					'required' 	=> false
				);
			}
		}
		return $list;
	}
}

// Check if RevSlider installed and activated
if ( !function_exists( 'exit_game_exists_revslider' ) ) {
	function exit_game_exists_revslider() {
		return function_exists('rev_slider_shortcode');
	}
}
	
// Merge custom styles
if ( !function_exists( 'exit_game_revslider_merge_styles' ) ) {
	
	function exit_game_revslider_merge_styles($list) {
		if (exit_game_exists_revslider()) {
			$list[] = 'plugins/revslider/_revslider.scss';
		}
		return $list;
	}
}
?>