<?php
/* TRX Updater support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('exit_game_trx_updater_theme_setup9')) {
	add_action( 'after_setup_theme', 'exit_game_trx_updater_theme_setup9', 9 );
	function exit_game_trx_updater_theme_setup9() {

		if (is_admin()) {
			add_filter( 'exit_game_filter_tgmpa_required_plugins',			'exit_game_trx_updater_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'exit_game_trx_updater_tgmpa_required_plugins' ) ) {
	
	function exit_game_trx_updater_tgmpa_required_plugins($list=array()) {
        if (exit_game_storage_isset('required_plugins', 'trx_updater')){
			$path = exit_game_get_file_dir('plugins/trx_updater/trx_updater.zip');
			// TRX Updater plugin
			$list[] = array(
				'name' 		=> esc_html__('ThemeREX Updater', 'exit-game'),
				'slug' 		=> 'trx_updater',
				'version'	=> '2.1.2',
				'source'	=> !empty($path) ? $path : 'upload://trx_updater.zip',
				'required' 	=> false
			);
		}
		return $list;
	}
}



// Check if this plugin installed and activated
if ( !function_exists( 'exit_game_exists_trx_updater' ) ) {
	function exit_game_exists_trx_updater() {
		return function_exists( 'trx_updater_load_plugin_textdomain' );
	}
}
