<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package WordPress
 * @subpackage EXIT_GAME
 * @since EXIT_GAME 1.0
 */

if (exit_game_sidebar_present()) {
	ob_start();
	$exit_game_sidebar_name = exit_game_get_theme_option('sidebar_widgets');
	exit_game_storage_set('current_sidebar', 'sidebar');
	if ( is_active_sidebar($exit_game_sidebar_name) ) {
		dynamic_sidebar($exit_game_sidebar_name);
	}
	$exit_game_out = trim(ob_get_contents());
	ob_end_clean();
	if (!empty($exit_game_out)) {
		$exit_game_sidebar_position = exit_game_get_theme_option('sidebar_position');
		?>
		<div class="sidebar <?php echo esc_attr($exit_game_sidebar_position); ?> widget_area<?php if (!exit_game_is_inherit(exit_game_get_theme_option('sidebar_scheme'))) echo ' scheme_'.esc_attr(exit_game_get_theme_option('sidebar_scheme')); ?>" role="complementary">
			<div class="sidebar_inner">
				<?php
				do_action( 'exit_game_action_before_sidebar' );
				exit_game_show_layout(preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $exit_game_out));
				do_action( 'exit_game_action_after_sidebar' );
				?>
			</div><!-- /.sidebar_inner -->
		</div><!-- /.sidebar -->
		<?php
	}
}
?>