<?php
/**
 * The template to display single post
 *
 * @package WordPress
 * @subpackage EXIT_GAME
 * @since EXIT_GAME 1.0
 */

get_header();

while ( have_posts() ) { the_post();

	get_template_part( 'content', get_post_format() );

	// Related posts
	if ((int) exit_game_get_theme_option('show_related_posts') && ($exit_game_related_posts = (int) exit_game_get_theme_option('related_posts')) > 0) {

		exit_game_show_related_posts(array('orderby' => 'rand',
										'posts_per_page' => max(1, min(9, $exit_game_related_posts)),
										'columns' => max(1, min(4, exit_game_get_theme_option('related_columns'))),
                                        'tax_query' => array(
                                            array(
                                                'taxonomy' => 'post_format',
                                                'field' => 'slug',
                                                'terms' => array(
                                                    'post-format-aside',
                                                    'post-format-audio',
                                                    'post-format-chat',
                                                    'post-format-gallery',
                                                    'post-format-link',
                                                    'post-format-quote',
                                                    'post-format-status',
                                                    'post-format-video'
                                                ),
                                                'operator' => 'NOT IN'
                                            )
                                        )
										),
									exit_game_get_theme_option('related_style')
									);
	}

	// If comments are open or we have at least one comment, load up the comment template.
	if ( comments_open() || get_comments_number() ) {
		comments_template();
	}
}

get_footer();
?>