<?php
/**
 * The template to display Admin notices
 *
 * @package WordPress
 * @subpackage EXIT_GAME
 * @since EXIT_GAME 1.0.1
 */
 
$exit_game_theme_obj = wp_get_theme();
?>
<div class="update-nag" id="exit_game_admin_notice">
	<h3 class="exit_game_notice_title"><?php
		// Translators: Add theme name and version to the 'Welcome' message
		echo esc_html(sprintf(__('Welcome to %1$s v.%2$s', 'exit-game'),
				$exit_game_theme_obj->name . (EXIT_GAME_THEME_FREE ? ' ' . esc_html__('Free', 'exit-game') : ''),
				$exit_game_theme_obj->version
				));
	?></h3>
	<?php
	if (!exit_game_exists_trx_addons()) {
		?><p><?php echo wp_kses_data(__('<b>Attention!</b> Plugin "ThemeREX Addons is required! Please, install and activate it!', 'exit-game')); ?></p><?php
	}
	?><p>
		<a href="<?php echo esc_url(admin_url().'themes.php?page=exit_game_about'); ?>" class="button button-primary"><i class="dashicons dashicons-nametag"></i> <?php
			// Translators: Add theme name
			echo esc_html(sprintf(__('About %s', 'exit-game'), $exit_game_theme_obj->name));
		?></a>
		<?php
		if (exit_game_get_value_gp('page')!='tgmpa-install-plugins') {
			?>
			<a href="<?php echo esc_url(admin_url().'themes.php?page=tgmpa-install-plugins'); ?>" class="button button-primary"><i class="dashicons dashicons-admin-plugins"></i> <?php esc_html_e('Install plugins', 'exit-game'); ?></a>
			<?php
		}
		if (function_exists('exit_game_exists_trx_addons') && exit_game_exists_trx_addons() && class_exists('trx_addons_demo_data_importer')) {
			?>
			<a href="<?php echo esc_url(admin_url().'themes.php?page=trx_importer'); ?>" class="button button-primary"><i class="dashicons dashicons-download"></i> <?php esc_html_e('One Click Demo Data', 'exit-game'); ?></a>
			<?php
		}
		?>
        <a href="<?php echo esc_url(admin_url().'customize.php'); ?>" class="button button-primary"><i class="dashicons dashicons-admin-appearance"></i> <?php esc_html_e('Theme Customizer', 'exit-game'); ?></a>
		<span> <?php esc_html_e('or', 'exit-game'); ?> </span>
        <a href="<?php echo esc_url(admin_url().'themes.php?page=theme_options'); ?>" class="button button-primary"><i class="dashicons dashicons-admin-appearance"></i> <?php esc_html_e('Theme Options', 'exit-game'); ?></a>
        <a href="#" class="button exit_game_hide_notice"><i class="dashicons dashicons-dismiss"></i> <?php esc_html_e('Hide Notice', 'exit-game'); ?></a>
	</p>
</div>