<?php
/**
 * The template to display default site footer
 *
 * @package WordPress
 * @subpackage EXIT_GAME
 * @since EXIT_GAME 1.0.10
 */

$exit_game_footer_id = str_replace('footer-custom-', '', exit_game_get_theme_option("footer_style"));
if ((int) $exit_game_footer_id == 0) {
	$exit_game_footer_id = exit_game_get_post_id(array(
												'name' => $exit_game_footer_id,
												'post_type' => defined('TRX_ADDONS_CPT_LAYOUTS_PT') ? TRX_ADDONS_CPT_LAYOUTS_PT : 'cpt_layouts'
												)
											);
} else {
	$exit_game_footer_id = apply_filters('exit_game_filter_get_translated_layout', $exit_game_footer_id);
}
$exit_game_footer_meta = get_post_meta($exit_game_footer_id, 'trx_addons_options', true);
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr($exit_game_footer_id); 
						?> footer_custom_<?php echo esc_attr(sanitize_title(get_the_title($exit_game_footer_id))); 
						if (!empty($exit_game_footer_meta['margin']) != '') 
							echo ' '.esc_attr(exit_game_add_inline_css_class('margin-top: '.exit_game_prepare_css_value($exit_game_footer_meta['margin']).';'));
						if (!exit_game_is_inherit(exit_game_get_theme_option('footer_scheme')))
							echo ' scheme_' . esc_attr(exit_game_get_theme_option('footer_scheme'));
						?>">
	<?php
    // Custom footer's layout
    do_action('exit_game_action_show_layout', $exit_game_footer_id);
	?>
</footer><!-- /.footer_wrap -->
