<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package WordPress
 * @subpackage EXIT_GAME
 * @since EXIT_GAME 1.0.10
 */

// Footer sidebar
$exit_game_footer_name = exit_game_get_theme_option('footer_widgets');
$exit_game_footer_present = !exit_game_is_off($exit_game_footer_name) && is_active_sidebar($exit_game_footer_name);
if ($exit_game_footer_present) { 
	exit_game_storage_set('current_sidebar', 'footer');
	$exit_game_footer_wide = exit_game_get_theme_option('footer_wide');
	ob_start();
	if ( is_active_sidebar($exit_game_footer_name) ) {
		dynamic_sidebar($exit_game_footer_name);
	}
	$exit_game_out = trim(ob_get_contents());
	ob_end_clean();
	if (!empty($exit_game_out)) {
		$exit_game_out = preg_replace("/<\\/aside>[\r\n\s]*<aside/", "</aside><aside", $exit_game_out);
		$exit_game_need_columns = true;
		if ($exit_game_need_columns) {
			$exit_game_columns = max(0, (int) exit_game_get_theme_option('footer_columns'));
			if ($exit_game_columns == 0) $exit_game_columns = min(4, max(1, substr_count($exit_game_out, '<aside ')));
			if ($exit_game_columns > 1)
				$exit_game_out = preg_replace("/<aside([^>]*)class=\"widget/", "<aside$1class=\"column-1_".esc_attr($exit_game_columns).' widget', $exit_game_out);
			else
				$exit_game_need_columns = false;
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo !empty($exit_game_footer_wide) ? ' footer_fullwidth' : ''; ?> sc_layouts_row sc_layouts_row_type_normal">
			<div class="footer_widgets_inner widget_area_inner">
				<?php 
				if (!$exit_game_footer_wide) { 
					?><div class="content_wrap"><?php
				}
				if ($exit_game_need_columns) {
					?><div class="columns_wrap"><?php
				}
				do_action( 'exit_game_action_before_sidebar' );
				exit_game_show_layout($exit_game_out);
				do_action( 'exit_game_action_after_sidebar' );
				if ($exit_game_need_columns) {
					?></div><!-- /.columns_wrap --><?php
				}
				if (!$exit_game_footer_wide) {
					?></div><!-- /.content_wrap --><?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
?>