<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package WordPress
 * @subpackage EXIT_GAME
 * @since EXIT_GAME 1.0.06
 */

$exit_game_header_css = '';
$exit_game_header_image = get_header_image();
$exit_game_header_video = exit_game_get_header_video();
if (!empty($exit_game_header_image) && exit_game_trx_addons_featured_image_override(is_singular() || exit_game_storage_isset('blog_archive') || is_category())) {
	$exit_game_header_image = exit_game_get_current_mode_image($exit_game_header_image);
}

$exit_game_header_id = str_replace('header-custom-', '', exit_game_get_theme_option("header_style"));
if ((int) $exit_game_header_id == 0) {
	$exit_game_header_id = exit_game_get_post_id(array(
												'name' => $exit_game_header_id,
												'post_type' => defined('TRX_ADDONS_CPT_LAYOUTS_PT') ? TRX_ADDONS_CPT_LAYOUTS_PT : 'cpt_layouts'
												)
											);
} else {
	$exit_game_header_id = apply_filters('exit_game_filter_get_translated_layout', $exit_game_header_id);
}
$exit_game_header_meta = get_post_meta($exit_game_header_id, 'trx_addons_options', true);

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr($exit_game_header_id); 
				?> top_panel_custom_<?php echo esc_attr(sanitize_title(get_the_title($exit_game_header_id)));
				echo !empty($exit_game_header_image) || !empty($exit_game_header_video) 
					? ' with_bg_image' 
					: ' without_bg_image';
				if ($exit_game_header_video!='') 
					echo ' with_bg_video';
				if ($exit_game_header_image!='') 
					echo ' '.esc_attr(exit_game_add_inline_css_class('background-image: url('.esc_url($exit_game_header_image).');'));
				if (!empty($exit_game_header_meta['margin']) != '') 
					echo ' '.esc_attr(exit_game_add_inline_css_class('margin-bottom: '.esc_attr(exit_game_prepare_css_value($exit_game_header_meta['margin'])).';'));
				if (is_single() && has_post_thumbnail()) 
					echo ' with_featured_image';
				if (exit_game_is_on(exit_game_get_theme_option('header_fullheight'))) 
					echo ' header_fullheight exit_game-full-height';
				if (!exit_game_is_inherit(exit_game_get_theme_option('header_scheme')))
					echo ' scheme_' . esc_attr(exit_game_get_theme_option('header_scheme'));
				?>"><?php

	// Background video
	if (!empty($exit_game_header_video)) {
		get_template_part( 'templates/header-video' );
	}
		
	// Custom header's layout
	do_action('exit_game_action_show_layout', $exit_game_header_id);

	// Header widgets area
	get_template_part( 'templates/header-widgets' );
		
?></header>