<?php
/**
 * The template to display default site header
 *
 * @package WordPress
 * @subpackage EXIT_GAME
 * @since EXIT_GAME 1.0
 */

$exit_game_header_css = '';
$exit_game_header_image = get_header_image();
$exit_game_header_video = exit_game_get_header_video();
if (!empty($exit_game_header_image) && exit_game_trx_addons_featured_image_override(is_singular() || exit_game_storage_isset('blog_archive') || is_category())) {
	$exit_game_header_image = exit_game_get_current_mode_image($exit_game_header_image);
}

?><header class="top_panel top_panel_default<?php
					echo !empty($exit_game_header_image) || !empty($exit_game_header_video) ? ' with_bg_image' : ' without_bg_image';
					if ($exit_game_header_video!='') echo ' with_bg_video';
					if ($exit_game_header_image!='') echo ' '.esc_attr(exit_game_add_inline_css_class('background-image: url('.esc_url($exit_game_header_image).');'));
					if (is_single() && has_post_thumbnail()) echo ' with_featured_image';
					if (exit_game_is_on(exit_game_get_theme_option('header_fullheight'))) echo ' header_fullheight exit_game-full-height';
					if (!exit_game_is_inherit(exit_game_get_theme_option('header_scheme')))
						echo ' scheme_' . esc_attr(exit_game_get_theme_option('header_scheme'));
					?>"><?php

	// Background video
	if (!empty($exit_game_header_video)) {
		get_template_part( 'templates/header-video' );
	}
	
	// Main menu
	if (exit_game_get_theme_option("menu_style") == 'top') {
		get_template_part( 'templates/header-navi' );
	}

	// Mobile header
	if (exit_game_is_on(exit_game_get_theme_option("header_mobile_enabled"))) {
		get_template_part( 'templates/header-mobile' );
	}
	
	// Page title and breadcrumbs area
	get_template_part( 'templates/header-title');

	// Header widgets area
	get_template_part( 'templates/header-widgets' );


?></header>