<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package WordPress
 * @subpackage EXIT_GAME
 * @since EXIT_GAME 1.0
 */

$exit_game_args = get_query_var('exit_game_logo_args');

// Site logo
$exit_game_logo_type   = isset($exit_game_args['type']) ? $exit_game_args['type'] : '';
$exit_game_logo_image  = exit_game_get_logo_image($exit_game_logo_type);
$exit_game_logo_text   = exit_game_is_on(exit_game_get_theme_option('logo_text')) ? get_bloginfo( 'name' ) : '';
$exit_game_logo_slogan = get_bloginfo( 'description', 'display' );
if (!empty($exit_game_logo_image) || !empty($exit_game_logo_text)) {
	?><a class="sc_layouts_logo" href="<?php echo is_front_page() ? '#' : esc_url(home_url('/')); ?>"><?php
		if (!empty($exit_game_logo_image)) {
			if (empty($exit_game_logo_type) && function_exists('the_custom_logo') && is_numeric( $exit_game_logo_image ) && (int) $exit_game_logo_image > 0) {
				the_custom_logo();
			} else {
				$exit_game_attr = exit_game_getimagesize($exit_game_logo_image);
				echo '<img src="'.esc_url($exit_game_logo_image).'" alt="'.esc_attr($exit_game_logo_text).'"'.(!empty($exit_game_attr[3]) ? ' '.wp_kses_data($exit_game_attr[3]) : '').'>';
			}
		} else {
			exit_game_show_layout(exit_game_prepare_macros($exit_game_logo_text), '<span class="logo_text">', '</span>');
			exit_game_show_layout(exit_game_prepare_macros($exit_game_logo_slogan), '<span class="logo_slogan">', '</span>');
		}
	?></a><?php
}
?>