<?php
/**
 * The template to show mobile menu
 *
 * @package WordPress
 * @subpackage EXIT_GAME
 * @since EXIT_GAME 1.0
 */
?>
<div class="menu_mobile_overlay"></div>
<div class="menu_mobile menu_mobile_<?php echo esc_attr(exit_game_get_theme_option('menu_mobile_fullscreen') > 0 ? 'fullscreen' : 'narrow'); ?> scheme_dark">
	<div class="menu_mobile_inner">
		<a class="menu_mobile_close icon-cancel"></a><?php

		// Logo
		set_query_var('exit_game_logo_args', array('type' => 'mobile'));
		get_template_part( 'templates/header-logo' );
		set_query_var('exit_game_logo_args', array());

		// Mobile menu
		$exit_game_menu_mobile = exit_game_get_nav_menu('menu_mobile');
		if (empty($exit_game_menu_mobile)) {
			$exit_game_menu_mobile = apply_filters('exit_game_filter_get_mobile_menu', '');
			if (empty($exit_game_menu_mobile)) $exit_game_menu_mobile = exit_game_get_nav_menu('menu_main');
			if (empty($exit_game_menu_mobile)) $exit_game_menu_mobile = exit_game_get_nav_menu();
		}
		if (!empty($exit_game_menu_mobile)) {
			if (!empty($exit_game_menu_mobile))
				$exit_game_menu_mobile = str_replace(
					array('menu_main', 'id="menu-', 'sc_layouts_menu_nav', 'sc_layouts_hide_on_mobile', 'hide_on_mobile'),
					array('menu_mobile', 'id="menu_mobile-', '', '', ''),
					$exit_game_menu_mobile
					);
			if (strpos($exit_game_menu_mobile, '<nav ')===false)
				$exit_game_menu_mobile = sprintf('<nav class="menu_mobile_nav_area">%s</nav>', $exit_game_menu_mobile);
			exit_game_show_layout(apply_filters('exit_game_filter_menu_mobile_layout', $exit_game_menu_mobile));
		}

		// Search field
		do_action('exit_game_action_search', 'normal', 'search_mobile', false);
		
		// Social icons
		exit_game_show_layout(exit_game_get_socials_links(), '<div class="socials_mobile">', '</div>');
		?>
	</div>
</div>
