<?php
/**
 * The template to display the page title and breadcrumbs
 *
 * @package WordPress
 * @subpackage EXIT_GAME
 * @since EXIT_GAME 1.0
 */

// Page (category, tag, archive, author) title

if ( exit_game_need_page_title() ) {
	exit_game_sc_layouts_showed('title', true);
	?>
	<div class="top_panel_title sc_layouts_row sc_layouts_row_type_normal">
		<div class="content_wrap">
			<div class="sc_layouts_column sc_layouts_column_align_center">
				<div class="sc_layouts_item">
					<div class="sc_layouts_title sc_align_center">
						<?php
						
						// Blog/Post title
						?><div class="sc_layouts_title_title"><?php
							$exit_game_blog_title = exit_game_get_blog_title();
							$exit_game_blog_title_text = $exit_game_blog_title_class = $exit_game_blog_title_link = $exit_game_blog_title_link_text = '';
							if (is_array($exit_game_blog_title)) {
								$exit_game_blog_title_text = $exit_game_blog_title['text'];
								$exit_game_blog_title_class = !empty($exit_game_blog_title['class']) ? ' '.$exit_game_blog_title['class'] : '';
								$exit_game_blog_title_link = !empty($exit_game_blog_title['link']) ? $exit_game_blog_title['link'] : '';
								$exit_game_blog_title_link_text = !empty($exit_game_blog_title['link_text']) ? $exit_game_blog_title['link_text'] : '';
							} else
								$exit_game_blog_title_text = $exit_game_blog_title;
							?>
							<h1 itemprop="headline" class="sc_layouts_title_caption<?php echo esc_attr($exit_game_blog_title_class); ?>"><?php
								$exit_game_top_icon = exit_game_get_category_icon();
								if (!empty($exit_game_top_icon)) {
									$exit_game_attr = exit_game_getimagesize($exit_game_top_icon);
									?><img src="<?php echo esc_url($exit_game_top_icon); ?>" alt="<?php echo esc_attr($exit_game_logo_text); ?>" <?php if (!empty($exit_game_attr[3])) exit_game_show_layout($exit_game_attr[3]);?>><?php
								}
								echo wp_kses_post($exit_game_blog_title_text);
							?></h1>
							<?php
							if (!empty($exit_game_blog_title_link) && !empty($exit_game_blog_title_link_text)) {
								?><a href="<?php echo esc_url($exit_game_blog_title_link); ?>" class="theme_button theme_button_small sc_layouts_title_link"><?php echo esc_html($exit_game_blog_title_link_text); ?></a><?php
							}
							
							// Category/Tag description
							if ( is_category() || is_tag() || is_tax() ) 
								the_archive_description( '<div class="sc_layouts_title_description">', '</div>' );
		
						?></div><?php
	
						// Breadcrumbs
						?><div class="sc_layouts_title_breadcrumbs"><?php
							do_action( 'exit_game_action_breadcrumbs');
						?></div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php
}
?>