<?php
/**
 * The template to display the background video in the header
 *
 * @package WordPress
 * @subpackage EXIT_GAME
 * @since EXIT_GAME 1.0.14
 */
$exit_game_header_video = exit_game_get_header_video();
$exit_game_embed_video = '';
if (!empty($exit_game_header_video) && !exit_game_is_from_uploads($exit_game_header_video)) {
	if (exit_game_is_youtube_url($exit_game_header_video) && preg_match('/[=\/]([^=\/]*)$/', $exit_game_header_video, $matches) && !empty($matches[1])) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr($matches[1]); ?>"></div><?php
	} else {
		global $wp_embed;
		if (false && is_object($wp_embed)) {
			$exit_game_embed_video = do_shortcode($wp_embed->run_shortcode( '[embed]' . trim($exit_game_header_video) . '[/embed]' ));
			$exit_game_embed_video = exit_game_make_video_autoplay($exit_game_embed_video);
		} else {
			$exit_game_header_video = str_replace('/watch?v=', '/embed/', $exit_game_header_video);
			$exit_game_header_video = exit_game_add_to_url($exit_game_header_video, array(
				'feature' => 'oembed',
				'controls' => 0,
				'autoplay' => 1,
				'showinfo' => 0,
				'modestbranding' => 1,
				'wmode' => 'transparent',
				'enablejsapi' => 1,
				'origin' => home_url(),
				'widgetid' => 1
			));
			$exit_game_embed_video = '<iframe src="' . esc_url($exit_game_header_video) . '" width="1170" height="658" allowfullscreen="0" frameborder="0"></iframe>';
		}
		?><div id="background_video"><?php exit_game_show_layout($exit_game_embed_video); ?></div><?php
	}
}
?>