<?php
/**
 * The template to display the widgets area in the header
 *
 * @package WordPress
 * @subpackage EXIT_GAME
 * @since EXIT_GAME 1.0
 */

// Header sidebar
$exit_game_header_name = exit_game_get_theme_option('header_widgets');
$exit_game_header_present = !exit_game_is_off($exit_game_header_name) && is_active_sidebar($exit_game_header_name);
if ($exit_game_header_present) { 
	exit_game_storage_set('current_sidebar', 'header');
	$exit_game_header_wide = exit_game_get_theme_option('header_wide');
	ob_start();
	if ( is_active_sidebar($exit_game_header_name) ) {
		dynamic_sidebar($exit_game_header_name);
	}
	$exit_game_widgets_output = ob_get_contents();
	ob_end_clean();
	if (!empty($exit_game_widgets_output)) {
		$exit_game_widgets_output = preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $exit_game_widgets_output);
		$exit_game_need_columns = strpos($exit_game_widgets_output, 'columns_wrap')===false;
		if ($exit_game_need_columns) {
			$exit_game_columns = max(0, (int) exit_game_get_theme_option('header_columns'));
			if ($exit_game_columns == 0) $exit_game_columns = min(6, max(1, substr_count($exit_game_widgets_output, '<aside ')));
			if ($exit_game_columns > 1)
				$exit_game_widgets_output = preg_replace("/<aside([^>]*)class=\"widget/", "<aside$1class=\"column-1_".esc_attr($exit_game_columns).' widget', $exit_game_widgets_output);
			else
				$exit_game_need_columns = false;
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo !empty($exit_game_header_wide) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<div class="header_widgets_inner widget_area_inner">
				<?php 
				if (!$exit_game_header_wide) { 
					?><div class="content_wrap"><?php
				}
				if ($exit_game_need_columns) {
					?><div class="columns_wrap"><?php
				}
				do_action( 'exit_game_action_before_sidebar' );
				exit_game_show_layout($exit_game_widgets_output);
				do_action( 'exit_game_action_after_sidebar' );
				if ($exit_game_need_columns) {
					?></div>	<!-- /.columns_wrap --><?php
				}
				if (!$exit_game_header_wide) {
					?></div>	<!-- /.content_wrap --><?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
?>