<?php
/**
 * The template to display posts in widgets and/or in the search results
 *
 * @package WordPress
 * @subpackage EXIT_GAME
 * @since EXIT_GAME 1.0
 */

$exit_game_post_id    = get_the_ID();
$exit_game_post_date  = exit_game_get_date();
$exit_game_post_title = get_the_title();
$exit_game_post_link  = get_permalink();
$exit_game_post_author_id   = get_the_author_meta('ID');
$exit_game_post_author_name = get_the_author_meta('display_name');
$exit_game_post_author_url  = get_author_posts_url($exit_game_post_author_id, '');

$exit_game_args = get_query_var('exit_game_args_widgets_posts');
$exit_game_show_date = isset($exit_game_args['show_date']) ? (int) $exit_game_args['show_date'] : 1;
$exit_game_show_image = isset($exit_game_args['show_image']) ? (int) $exit_game_args['show_image'] : 1;
$exit_game_show_author = isset($exit_game_args['show_author']) ? (int) $exit_game_args['show_author'] : 1;
$exit_game_show_counters = isset($exit_game_args['show_counters']) ? (int) $exit_game_args['show_counters'] : 1;
$exit_game_show_categories = isset($exit_game_args['show_categories']) ? (int) $exit_game_args['show_categories'] : 1;

$exit_game_output = exit_game_storage_get('exit_game_output_widgets_posts');

$exit_game_post_counters_output = '';
if ( $exit_game_show_counters ) {
	$exit_game_post_counters_output = '<span class="post_info_item post_info_counters">'
								. exit_game_get_post_counters('comments')
							. '</span>';
}


$exit_game_output .= '<article class="post_item with_thumb">';

if ($exit_game_show_image) {
	$exit_game_post_thumb = get_the_post_thumbnail($exit_game_post_id, exit_game_get_thumb_size('tiny'), array(
		'alt' => the_title_attribute( array( 'echo' => false ) )
	));
	if ($exit_game_post_thumb) $exit_game_output .= '<div class="post_thumb">' . ($exit_game_post_link ? '<a href="' . esc_url($exit_game_post_link) . '">' : '') . ($exit_game_post_thumb) . ($exit_game_post_link ? '</a>' : '') . '</div>';
}

$exit_game_output .= '<div class="post_content">'
			. ($exit_game_show_categories 
					? '<div class="post_categories">'
						. exit_game_get_post_categories()
						. $exit_game_post_counters_output
						. '</div>' 
					: '')
			. '<h6 class="post_title">' . ($exit_game_post_link ? '<a href="' . esc_url($exit_game_post_link) . '">' : '') . ($exit_game_post_title) . ($exit_game_post_link ? '</a>' : '') . '</h6>'
			. apply_filters('exit_game_filter_get_post_info', 
								'<div class="post_info">'
									. ($exit_game_show_date 
										? '<span class="post_info_item post_info_posted">'
											. ($exit_game_post_link ? '<a href="' . esc_url($exit_game_post_link) . '" class="post_info_date">' : '') 
											. esc_html($exit_game_post_date) 
											. ($exit_game_post_link ? '</a>' : '')
											. '</span>'
										: '')
									. ($exit_game_show_author 
										? '<span class="post_info_item post_info_posted_by">' 
											. esc_html__('by', 'exit-game') . ' ' 
											. ($exit_game_post_link ? '<a href="' . esc_url($exit_game_post_author_url) . '" class="post_info_author">' : '') 
											. esc_html($exit_game_post_author_name) 
											. ($exit_game_post_link ? '</a>' : '') 
											. '</span>'
										: '')
									. (!$exit_game_show_categories && $exit_game_post_counters_output
										? $exit_game_post_counters_output
										: '')
								. '</div>')
		. '</div>'
	. '</article>';
exit_game_storage_set('exit_game_output_widgets_posts', $exit_game_output);
?>